Creates a new device

Prev Next
Post
/api/v1/devices

Adds a new device to the database with the specified parameters.

Security
HTTP
Type bearer
Body parameters

Device object that needs to be added to the database

Expand All
object
description
string
deviceType
string
hostname
string
icon
object
name
string
ip
string
ipType
string
Exampleipv4
locationAttributes
object
city
string
country
string
state
string
street
string
zipcode
string
name
string
orgId
string
site
object
id
string
type
string
Examplenode/cluster
tags
object
key
string
value
string
Responses
200

OK

Expand All
object
authorization
boolean
data
object
id
integer
message
string
name
string
error_code
integer
error_message
string
error_status
boolean
Examplefalse
400

Value Error

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
401

Unauthorized

object
error_code
integer
error_message
string
error_status
boolean
403

Forbidden - Device delete request is in progress

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
404

Not Found

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
409

Device already exists.

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
500

Internal Server Error

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean